Subject: [sup-devel] [issue98] `force_encoding': can't modify frozen string (RuntimeError) - On first start

From: anonymous <[email-masked]>
Date: Mon, 03 May 2010 19:40:16 +0000

New submission from anonymous:

Hello,
If I start sup or sup-config the very first time, the following error occurs:

/usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup/account.rb:53:in
`force_encoding': can't modify frozen string (RuntimeError)
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup/account.rb:53:in `block in
add_account'
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup/account.rb:53:in `each'
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup/account.rb:53:in `add_account'
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup/account.rb:37:in `initialize'
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup/util.rb:574:in `new'
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup/util.rb:574:in `init'
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/lib/sup.rb:126:in `start'
	from /usr/lib/ruby/gems/1.9.1/gems/sup-0.11/bin/sup-config:115:in `<top
(required)>'
	from /usr/bin/sup-config:19:in `load'
	from /usr/bin/sup-config:19:in `<main>'

If I then run the command again, it is working, thus there exists an ~/.sup
directory. I can reproduce this error by removing the ~/.sup directory and
re-run it again. This 'cant modify frozen string'-issue can not be resolved by
applying the lines to multipart.rb mentioned in the FAQ.

Best regards

----------
messages: 222
nosy: anonymous
priority: bug
ruby_version: 1.9.1_p378
status: unread
sup_version: 0.11
title: `force_encoding': can't modify frozen string (RuntimeError) - On first start

_________________________________________
Sup issue tracker <[email-masked]>
<http://masanjin.net/sup-bugs/issue98>
_________________________________________
_______________________________________________
Sup-devel mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-devel